Name:           openigtlink
Version:        1.11.0
Release:        1%{?dist}
Summary:        Network communication library for image-guided therapy

Group:          Development/Libraries
# This is normal three clause BSD.
License:        BSD
URL:            http://openigtlink.org
# Downloaded and renamed from:
# https://github.com/openigtlink/OpenIGTLink/tarball/development
Source0:        %{name}-%{version}.tar.gz
Patch1:         01-use-libsuffix.patch

BuildRequires:  cmake >= 2.4


%description
A free open-source C/C++ OpenIGTLink library is available for your software
development. It provides an easy-to-use C/C++ API to generate OpenIGTLink
messages and send them to another OpenIGTLink software over the network using
TCP/IP. Please see [the Tutorial page] (tutorials.html) to learn how easy it
is to add an OpenIGTLink interface to your application.


%package devel
Summary:        Development files for using the OpenIGTLink library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel

This package contains the OpenIGTLink C/C++ library and header files, as well
as documentation. It should be installed if you want to develop programs that
will use the OpenIGTLink library.


%prep
%setup -q -n openigtlink-OpenIGTLink-5a50181
%patch1 -p1


%build
mkdir -p build
pushd build
%cmake CMAKE_VERBOSE=1 ..
make VERBOSE=1 %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd


%check
pushd build
make test
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_libdir}/igtl/lib*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/igtl
%{_libdir}/igtl/lib*.so
%{_libdir}/igtl/*.cmake


%changelog
* Wed Feb  4 2015 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.11.0-1
- Initial creation.
